%global namedreltag .CR2
%global namedversion %{version}%{?namedreltag}

Name:             jboss-msc
Version:          1.0.0
Release:          %mkrel 1
Summary:          JBoss Modular Service Container
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org

# git clone git://github.com/jbossas/jboss-msc.git
# cd jboss-msc && git archive --format=tar --prefix=jboss-msc-1.0.0.CR2/ 1.0.0.CR2 | xz > ../jboss-msc-1.0.0.CR2.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit
BuildRequires:    byteman
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-modules
BuildRequires:    maven-injection-plugin
BuildRequires:    apiviz

Requires:         jboss-vfs
Requires:         jboss-logging-tools
Requires:         byteman
Requires:         javassist
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
This package contains the The JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_to_maven_depmap org.jboss.msc %{name} %{version} JPP/jboss %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132010
- Fix BuildRequires
- Fix buildrequires
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package jboss-msc


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

